be.fgov.ehealth.commons.enc.v2

## Class EncryptionMethod

- java.lang.Object
- - be.fgov.ehealth.commons.enc.v2.EncryptionMethod

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class EncryptionMethod
      extends Object
      implements Serializable

  Endpoint type of the encryption method

  Java class for EncryptionMethodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncryptionMethodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionMethod()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()` Gets the value of the algorithm property.
    `void` | `setAlgorithm(String value)` Sets the value of the algorithm property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptionMethod

          public EncryptionMethod()

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

    - #### setAlgorithm

          public void setAlgorithm(String value)

      Sets the value of the algorithm property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.